aboutsummaryrefslogtreecommitdiffstats
path: root/x11/.xsession
diff options
context:
space:
mode:
Diffstat (limited to 'x11/.xsession')
-rwxr-xr-xx11/.xsession20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/.xsession b/x11/.xsession
new file mode 100755
index 0000000..70efe31
--- /dev/null
+++ b/x11/.xsession
@@ -0,0 +1,20 @@
+#!/usr/bin/env sh
+
+# shellcheck source=../lib/usr/lib/sh/loading.sh
+. ~/usr/lib/sh/loading.sh
+
+xrdb -cpp m4 -merge "${HOME}/.config/X11/Xresources" \
+ -I"${HOME}/.config/X11/Xresources.d"
+
+load_machine_config ".config/X11/machines"
+load_config_directory ".config/X11/Xsession.d"
+
+command -v kdeconnect-indicator \
+ && (pgrep kdeconnect-indicator \
+ || { kdeconnect-indicator & })
+
+command -v syncthing-gtk \
+ && (pgrep syncthing-gtk \
+ || { syncthing-gtk & })
+
+command -v unclutter && (pgrep unclutter || unclutter --fork)